Skip to main content
`Ctrl`+`K`

# smallpond.execution.task.PartitionInfo

class smallpond.execution.task.PartitionInfo(index: int = 0, npartitions: int = 1, dimension: str = '@toplevel@')

  Information about a partition of a dataset.

  __init__(index: int = 0, npartitions: int = 1, dimension: str = '@toplevel@') → None

  Methods

  `__init__`([index, npartitions, dimension]) |

  Attributes

  `index` |
  `npartitions` |
  `dimension` |
  `default_dimension` |
  `toplevel_dimension` |